> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.nibtravelinsurance.com/reference/products-api/brand/underwriters-and-plans/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server. # Underwriters and plans GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/underwriters Returns a list of all underwriters, insurance contracts and plans for a brand Reference: https://developer.nibtravelinsurance.com/reference/products-api/brand/underwriters-and-plans ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `brandCode` (enum, required) — Brand code - Allowed values: `nibau`, `nibnz`, `tidau`, `wn` ### Query parameters - `preferredDocumentFileType` (enum, optional, default: HTML) — The response contains links to the PDS. This specifies the format of the document accessed by those links. - Allowed values: `HTML`, `PDF` - `lang` (string, optional) ## Response ### 200 Success - `expirySeconds` (integer, optional) - `publicWebsiteUrl` (string, optional) - `code` (string, optional) - `effectiveFromDate` (string, optional) - `effectiveToDate` (string, optional) - `underwriters` (list of UnderwriterSummary, optional) - `availableTranslations` (map from string to string, optional) ## Types ### UnderwriterSummary - `underwriterId` (long, optional, default: 0) - `code` (string, optional) - `name` (string, optional) - `insuranceContracts` (list of InsuranceContractSummary, optional) ### InsuranceContractSummary - `insuranceContractId` (long, optional, default: 0) - `pdsUrl` (string, optional) - `donationAccountCode` (string, optional) - `contentItems` (list of ContentSummary, optional) - `plans` (list of PlanRef, optional) - `languageCode` (string, optional) ### ContentSummary - `type` (string, optional) - `content` (string, optional) ### PlanRef - `planId` (long, optional, default: 0) - `insuranceContractId` (long, optional, default: 0) - `code` (string, optional) - `currencyCode` (string, optional) - `homeCountryCodes` (list of string, optional) ## Examples **Response** ```json { "expirySeconds": 86400, "publicWebsiteUrl": "publicWebsiteUrl", "code": "code", "effectiveFromDate": "1970-01-01T00:00:00Z", "effectiveToDate": "1970-01-01T00:00:00Z", "underwriters": [ { "underwriterId": 19, "code": "piiau", "name": "Pacific International (AU)", "insuranceContracts": [ { "insuranceContractId": 40, "pdsUrl": "http://products-api-wn.uat.wng.local/v2/wn/insuranceContract/40/pds?preferredDocumentFileType=HTML&lang=en", "donationAccountCode": "N0madsOz2", "contentItems": [ { "type": "COIEMERCONTACTNUMBER", "content": "+61 2 8263 0470" }, { "type": "COIEMERCONTACTNUMBERSECONDARY", "content": "+61 2 8292 1470" }, { "type": "COIEMERCONTACTEMAIL", "content": "assist@worldnomads.com" }, { "type": "RESIDENTDEFINITIONTEXT", "content": "
Resident means one of the following:
A resident must also:
" }, { "type": "DEPENDENTDEFINITIONTEXT", "content": "Dependents are your children or grandchildren, or others for whom you are the legal guardian, who are not in full time employment, are 20 years old or younger at the Policy Issue Date, are travelling with you for the majority of the trip and are listed as covered on your Certificate of Insurance." }, { "type": "ADVENTUREACTIVITYCONDITIONSTEXT", "content": "

* You must be with a professional, qualified and licensed guide or operator
# You must have the appropriate qualification, certification or license to participate in this sport, activity or experience

" }, { "type": "TERMSANDCONDITIONSKEY", "content": "Please make sure you've read the terms of your cover." }, { "type": "BENEFITSLIMITDESCRIPTIONTEXT", "content": "Limits shown are per policy and a policy excess applies." }, { "type": "SPECIFIEDITEMOPTIONTEXT", "content": "

Are you taking high value personal items such as laptops, iPads or cameras?

" }, { "type": "PURCHASEDISCLAIMER", "content": "World Nomads is supported by different insurers from around the world. This insurance is arranged and promoted by WorldNomads.com Pty Limited ABN 62 127 485 198 AR 343027, as an authorised representative of nib Travel Services (Australia) Pty Ltd (nib) ABN 81 115 932 173 AFSL 308461 and act as nib's agent and not as your agent. Before you buy, you should consider your needs, the Product Disclosure Statement (PDS), Financial Services Guide (FSG) and Target Market Determination (TMD) available from us. This insurance is underwritten by Pacific International Insurance Pty Ltd, ABN 83 169 311 193." }, { "type": "COVIDCOVERENABLEDBANNERTEXT", "content": "

\r\n Coronavirus (COVID-19) continues to impact many travellers around the world. Before you buy, read the\r\n travel alerts \r\n and check travel advice and restrictions for your destination(s) as these may impact cover, or your ability to travel. \r\n

" }, { "type": "RISKMITIGATIONBANNERTEXT", "content": "

\r\n Coronavirus (COVID-19) continues to impact many travellers around the world. Before you buy, read the\r\n travel alerts \r\n and check travel advice and restrictions for your destination(s) as these may impact cover, or your ability \r\n to travel.There are options available if you’re\r\n unable to use your policy\r\n due to travel restrictions.\r\n

" } ], "plans": [ { "planId": 280, "insuranceContractId": 40, "code": "AUSTANDARD", "currencyCode": "AUD", "homeCountryCodes": [ "AUS" ] }, { "planId": 281, "insuranceContractId": 40, "code": "AUEXPLORER", "currencyCode": "AUD", "homeCountryCodes": [ "AUS" ] } ], "languageCode": "en" } ] } ], "availableTranslations": { "key": "value" } } ``` **SDK Code** ```python World Nomads - abbreviated import requests url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/underwriters" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript World Nomads - abbreviated const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/underwriters'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go World Nomads - abbreviated package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/underwriters" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby World Nomads - abbreviated require 'uri' require 'net/http' url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/underwriters") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java World Nomads - abbreviated import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/underwriters") .header("Authorization", "Bearer ") .asString(); ``` ```php World Nomads - abbreviated request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/underwriters', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp World Nomads - abbreviated using RestSharp; var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/underwriters"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift World Nomads - abbreviated import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/underwriters")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```